<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/ui_surface"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.gh.gamecenter.feature.view.GameIconView
                    android:id="@+id/gameIconIv"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginStart="24dp"
                    android:layout_marginTop="24dp"
                    android:layout_marginBottom="24dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/gameNameTv"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:layout_marginEnd="24dp"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:maxLines="1"
                    android:textColor="@color/text_secondary"
                    android:textSize="@dimen/secondary_title_text_size"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/gameIconIv"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="少年三国志2" />

                <ImageView
                    android:id="@+id/closeIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="8dp"
                    android:padding="8dp"
                    android:src="@drawable/ic_vgame_dialog_close"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tipTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp"
                android:text="本次游戏时间较短，是遇到什么问题了吗？ "
                android:textColor="@color/text_primary"
                android:textSize="16sp"
                android:textStyle="bold" />

            <com.google.android.flexbox.FlexboxLayout
                android:id="@+id/feedbackFlexbox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="24dp"
                android:layout_marginEnd="20dp"
                app:flexWrap="wrap" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:paddingStart="24dp"
                android:paddingEnd="24dp"
                android:paddingBottom="24dp">

                <EditText
                    android:id="@+id/feedbackEt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:background="@drawable/bg_shape_f8_radius_8"
                    android:gravity="start|top"
                    android:hint="有什么建议可以反馈给我们"
                    android:lines="3"
                    android:maxLength="500"
                    android:paddingStart="16dp"
                    android:paddingTop="10dp"
                    android:paddingEnd="16dp"
                    android:paddingBottom="10dp"
                    android:textColorHint="@color/text_instance"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/submitTv"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="24dp"
                    android:background="@drawable/download_button_normal_style"
                    android:enabled="false"
                    android:gravity="center"
                    android:text="提交"
                    android:textColor="@color/white"
                    android:textSize="@dimen/primary_text_size" />

                <TextView
                    android:id="@+id/dontShowAgainTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:text="此游戏不再提醒"
                    android:textColor="@color/text_tertiary"
                    android:textSize="12sp" />

            </LinearLayout>

        </LinearLayout>
    </androidx.cardview.widget.CardView>

    <View
        android:layout_width="match_parent"
        android:layout_height="6dp"
        android:layout_alignParentBottom="true"
        android:background="@color/ui_surface"
        app:layout_constraintBottom_toBottomOf="@id/container" />

</androidx.constraintlayout.widget.ConstraintLayout>